# H245_UserInputIndication_signal Class Reference

`#include <h245.h>`

Inheritance diagram for H245_UserInputIndication_signal:

List of all members.

## Public Types

enum | OptionalFields { e_duration, e_rtp, e_rtpPayloadIndication, e_paramS, e_encryptedSignalType, e_algorithmOID }

## Public Member Functions

| H245_UserInputIndication_signal (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_IA5String | m_signalType
PASN_Integer | m_duration
H245_UserInputIndication_signal_rtp | m_rtp
PASN_Null | m_rtpPayloadIndication
H245_Params | m_paramS
PASN_OctetString | m_encryptedSignalType
PASN_ObjectId | m_algorithmOID

## Member Enumeration Documentation

enum H245_UserInputIndication_signal::OptionalFields

Enumerator:

  e_duration |
  e_rtp |
  e_rtpPayloadIndication |
  e_paramS |
  e_encryptedSignalType |
  e_algorithmOID |

## Constructor & Destructor Documentation

H245_UserInputIndication_signal::H245_UserInputIndication_signal | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_UserInputIndication_signal::GetDataLength | ( |  | ) | const

PBoolean H245_UserInputIndication_signal::Decode | ( | PASN_Stream & | strm | ) |

void H245_UserInputIndication_signal::Encode | ( | PASN_Stream & | strm | ) | const

void H245_UserInputIndication_signal::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_UserInputIndication_signal::Compare | ( | const PObject & | obj | ) | const

PObject* H245_UserInputIndication_signal::Clone | ( |  | ) | const

## Member Data Documentation

PASN_IA5String H245_UserInputIndication_signal::m_signalType

PASN_Integer H245_UserInputIndication_signal::m_duration

H245_UserInputIndication_signal_rtp H245_UserInputIndication_signal::m_rtp

PASN_Null H245_UserInputIndication_signal::m_rtpPayloadIndication

H245_Params H245_UserInputIndication_signal::m_paramS

PASN_OctetString H245_UserInputIndication_signal::m_encryptedSignalType

PASN_ObjectId H245_UserInputIndication_signal::m_algorithmOID

The documentation for this class was generated from the following file:

- h245.h